<?php
/** $Id: default_address.php 12387 2009-06-30 01:17:44Z ian $ */
defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<?php if ( ( $this->contact->params->get( 'address_check' ) > 0 ) &&  ( $this->contact->address || $this->contact->suburb  || $this->contact->state || $this->contact->country || $this->contact->postcode ) ) : ?>
<div class="pane-slider content pane-down" style="padding-top: 0px; border-top: medium none; padding-bottom: 0px; border-bottom: medium none; overflow: hidden; height: auto;">
	<div class="contact-address clearafter">
		<?php if ( $this->contact->params->get( 'address_check' ) > 0 ) : ?>
		<span class="jicons-icons">
			<?php echo $this->contact->params->get( 'marker_address' ); ?>	
		</span>
		<?php endif; ?>
		
		<?php if ( $this->contact->address && $this->contact->params->get( 'show_street_address' ) ) : ?>
		<p class="contact-street">
			<?php echo nl2br($this->escape($this->contact->address)); ?>		
		</p>
		<?php endif; ?>
		
		<?php if ( $this->contact->suburb && $this->contact->params->get( 'show_suburb' ) ) : ?>
		<p class="contact-suburb">
			<?php echo $this->escape($this->contact->suburb); ?>
		</p>
		<?php endif; ?>
		
		<?php if ( $this->contact->state && $this->contact->params->get( 'show_state' ) ) : ?>
		<p class="contact-state">
			<?php echo $this->escape($this->contact->state); ?>	
		</p>
		<?php endif; ?>
		
		<?php if ( $this->contact->postcode && $this->contact->params->get( 'show_postcode' ) ) : ?>
		<p class="contact-postcode">
			<?php echo $this->escape($this->contact->postcode); ?>
		</p>
		<?php endif; ?>
		
		<?php if ( $this->contact->country && $this->contact->params->get( 'show_country' ) ) : ?>
		<p class="contact-country">
			<?php echo $this->escape($this->contact->country); ?>
		</p>
		<?php endif; ?>
	</div>
	
	<?php 
	if (($this->contact->email_to && $this->contact->params->get( 'show_email' )) || 
	($this->contact->telephone && $this->contact->params->get( 'show_telephone' )) || 
	($this->contact->fax && $this->contact->params->get( 'show_fax' )) || 
	($this->contact->mobile && $this->contact->params->get( 'show_mobile' )) || 
	($this->contact->webpage && $this->contact->params->get( 'show_webpage' ))) : ?>
	<div class="contact-contactinfo clearafter">
	<?php endif; ?>
		<?php if ( $this->contact->email_to && $this->contact->params->get( 'show_email' ) ) : ?>
		<p class="contact-emailto">
			<span class="<?php echo $this->params->get('marker_class'); ?>" >
			<?php echo $this->contact->params->get( 'marker_email' ); ?>
			</span>
			<?php echo $this->contact->email_to; ?>
		</p>
		<?php endif; ?>
		
		<?php if ( $this->contact->telephone && $this->contact->params->get( 'show_telephone' ) ) : ?>
		<p class="contact-telephone">
			<span class="<?php echo $this->params->get('marker_class'); ?>" >
			<?php echo $this->contact->params->get( 'marker_telephone' ); ?>
			</span>
			<?php echo nl2br($this->escape($this->contact->telephone)); ?>
		</p>
		<?php endif; ?>

		<?php if ( $this->contact->fax && $this->contact->params->get( 'show_fax' ) ) : ?>
		<p class="contact-fax">
			<span class="<?php echo $this->params->get('marker_class'); ?>" >
			<?php echo $this->contact->params->get( 'marker_fax' ); ?>
			</span>
			<?php echo nl2br($this->escape($this->contact->fax)); ?>
		</p>
		<?php endif; ?>
		
		<?php if ( $this->contact->mobile && $this->contact->params->get( 'show_mobile' ) ) :?>
		<p class="contact-mobile">
			<span class="<?php echo $this->params->get('marker_class'); ?>" >
			<?php echo $this->contact->params->get( 'marker_mobile' ); ?>
			</span>
			<?php echo nl2br($this->escape($this->contact->mobile)); ?>
		</p>
		<?php endif; ?>
		
		<?php if ( $this->contact->webpage && $this->contact->params->get( 'show_webpage' )) : ?>
		<p class="contact-webpage">
			<span class="<?php echo $this->params->get('marker_class'); ?>">
			</span>
			<a href="<?php echo $this->escape($this->contact->webpage); ?>" target="_blank">
			<?php echo $this->escape($this->contact->webpage); ?></a>		
		</p>
		<?php endif; ?>
		
		<?php if ( $this->contact->misc && $this->contact->params->get( 'show_misc' ) ) : ?>
		<p class="contact-misc">
			<span class="<?php echo $this->params->get('marker_class'); ?>">
			<?php echo $this->contact->params->get( 'marker_misc' ); ?>
			</span>
			<?php echo nl2br($this->contact->misc); ?>		
		</p>
		<?php endif; ?>
	<?php 
	if (($this->contact->email_to && $this->contact->params->get( 'show_email' )) || 
	($this->contact->telephone && $this->contact->params->get( 'show_telephone' )) || 
	($this->contact->fax && $this->contact->params->get( 'show_fax' )) || 
	($this->contact->mobile && $this->contact->params->get( 'show_mobile' )) || 
	($this->contact->webpage && $this->contact->params->get( 'show_webpage' ))) : ?>
	</div>
	<?php endif; ?>
</div>
<?php endif; ?>