<?php
// no direct access
defined('_JEXEC') or die('Restricted access');
$app 		=& JFactory::getApplication();
$template 	= $app->getTemplate();
require_once JPATH_THEMES.DS.$template.DS.'includes'.DS.'lib'.DS.'jsn_utils.php';
if (!defined('replaceDefaulMenuPrefix'))
{
	function replaceDefaulMenuPrefix($result)
	{
		$posion			= strpos($result, 'class="menu');
		$subStringFirt 	= substr($result, 0, $posion);
		$subStringLast 	= substr($result, $posion);
		$subStringLast 	= str_replace('class="menu', 'class="', $subStringLast);
		return $subStringFirt.$subStringLast;
	}
	define('replaceDefaulMenuPrefix', true);
}

if (!defined('replaceJSNSeparator'))
{
	function replaceJSNSeparator($result)
	{
		$top 		= '<a><div class="clearbreak">';
		$bottom 	= '</div></div></a>';
		$result 	= str_replace('<div class="clearbreak">','<a href="javascript: void(0)"><div class="clearbreak">', $result);
		$result 	= str_replace('</div></div>', '</div></div></a>', $result);
		$result 	= str_replace('</a></div>', '</div></a>', $result);
		$result 	= str_replace('</div></a></a>', '</div></a>', $result);
		return $result; 
	}
	define('replaceJSNSeparator', true);
}
if (!defined('modMainMenuXMLCallbackDefined')) 
{
	function modMainMenuXMLCallback(&$node, $args)
	{
		global $jsn_richmenu_separator;
		$jsn_utils   = &JSNUtils::getInstance();
		$user	= &JFactory::getUser();
		$menu	= &JSite::getMenu();
		$active	= $menu->getActive();
		$path	= isset($active) ? array_reverse($active->tree) : null;
		$class_array = array();
		
		if (($args['end']) && ($node->attributes('level') >= $args['end']))
		{
			$children = $node->children();
			foreach ($node->children() as $child)
			{
				if ($child->name() == 'ul') {
					$node->removeChild($child);
				}
			}
		}
		
		if ($node->name() == 'ul') 
		{
			$subitem_index = 0;
			$subitems_count = count($node->children());
			foreach ($node->children() as $child)
			{
				if ($child->attributes('access') > $user->get('aid', 0))
				{
					$node->removeChild($child);
					$subitems_count = $subitems_count - 1;
				}
				else
				{
					if ($subitem_index == 0) $node->_children[$subitem_index]->addAttribute('first', 1);
					$order = $subitem_index + 1;
					$node->_children[$subitem_index]->addAttribute('order', 'order'.$order);
					if ($subitem_index == $subitems_count - 1) $node->_children[$subitem_index]->addAttribute('last', 1);
					
					if (isset($node->_children[$subitem_index]->_children[0]) && isset($node->_children[$subitem_index]->_children[0]->span[0])) 
					{
						$root_span 	= $node->_children[$subitem_index]->_children[0]->span[0];
						$data_span	= $root_span->data();
						preg_match_all("/(\(icon-[a-zA-Z0-9_-]+\))/i", $data_span, $matches, PREG_PATTERN_ORDER);
						if ($matches!= false && count($matches[0]))
						{
							$new_data_span	   = '';	
							$icon 		       = str_replace(array("(", ")"), '', $matches[0][0]);
							$position 		   = strpos($data_span, $matches[0][0]);
							
							if ($position !== false)
							{
								$sub_string_last   = substr($data_span, $position + JString::strlen($matches[0][0]));
								$sub_string_first  = substr($data_span, 0, $position);
								$new_data_span     = $sub_string_first.$sub_string_last;
								$new_data_span	   = $jsn_utils->StripExtraSpace($new_data_span);								
							}
							
							$node->_children[$subitem_index]->_children[0]->span[0]->setData(trim($new_data_span));
							$node->_children[$subitem_index]->addAttribute('icon', $icon);
						}						
					}
					$subitem_index++;
				}
				
			}
		}
		
		// Process parent item
		if (($node->name() == 'li') && isset($node->ul)) 
		{
			$class_array[] = 'parent';
		}

		// Process active item
		if (isset($path) && (in_array($node->attributes('id'), $path) || in_array($node->attributes('rel'), $path)))
		{
			$class_array[] = 'active';
		}
		else
		{
			if (isset($args['children']) && !$args['children'])
			{
				$children = $node->children();
				foreach ($node->children() as $child)
				{
					if ($child->name() == 'ul') 
					{
						$node->removeChild($child);
					}
				}
			}
		}
		
		// Process regular item
		if (isset($jsn_richmenu_separator) && $jsn_richmenu_separator !='')
		{
			if (isset($node->_children[0]) && isset($node->_children[0]->span[0]))
			{
				$root_span 	= $node->_children[0]->span[0];
				$title 		= $root_span->data();
				if (strlen($title) > 0)
				{
					$position = strpos($title, $jsn_richmenu_separator);
					if ($position !== false)
					{
						$sub_string_last 	= substr($title, $position + JString::strlen($jsn_richmenu_separator));
						$sub_string_first 	= substr($title, 0, $position);
						$span =& $node->_children[0]->span[0]->addChild('span', array('class' => 'jsn-menutitle'));
						$span->setData(trim($sub_string_first).' ');					
						$span =& $node->_children[0]->span[0]->addChild('span', array('class' => 'jsn-menudescription'));
						$span->setData(trim($sub_string_last));
					}
				}
			}
		}
		if (($node->name() == 'li') && ($id = $node->attributes('id'))) {
			$item = $menu->getItem($node->attributes('id'));
			$class_array[] = 'item'.$id;
			if ($node->attributes('order')) $class_array[] = $node->attributes('order');
			if ($node->attributes('icon')) $class_array[] = $node->attributes('icon');
			if ($node->attributes('first')) $class_array[] = 'first';
			if ($node->attributes('last')) $class_array[] = 'last';
		}
		if (isset($path) && $node->attributes('id') == $path[0])
		{
			$class_array[] = 'current';
			$node->_children[0]->addAttribute('class', 'current');
		}
		// Setup class
		if($node->name() == 'li')
		{
			$item_class = implode(" ", $class_array);
			$node->addAttribute('class', $item_class);
		}
		
		// Clear attributes
		$node->removeAttribute('id');
		$node->removeAttribute('level');
		$node->removeAttribute('access');
		$node->removeAttribute('first');
		$node->removeAttribute('last');
		$node->removeAttribute('order');
		$node->removeAttribute('icon');
		unset($class_array);
	}
	define('modMainMenuXMLCallbackDefined', true);
}
ob_start();
modMainMenuHelper::render($params, 'modMainMenuXMLCallback');
$menu_html = ob_get_contents();
ob_end_clean();
$menu_html = replaceJSNSeparator($menu_html);
echo replaceDefaulMenuPrefix($menu_html);